﻿using PokemonSleep.Web.Models;
using PokemonSleep.Web.Service.IService;
using PokemonSleep.Web.Utility;

namespace PokemonSleep.Web.Service
{
    public class PokemonNatureService : IPokemonNatureService
    {
        private readonly IBaseService _baseService;
        public PokemonNatureService(IBaseService baseService)
        {
            _baseService = baseService;
        }

        public async Task<ResponseDto?> GetAllPokemonNaturesAsync()
        {
            return await _baseService.SendAsync(new RequestDto()
            {
                ApiType = StaticDetails.ApiType.GET,
                Url = StaticDetails.PokemonSleepAPIBase + "/api/nature"
            });
        }
    }
}
